android - يتطلب ADT "org.eclipse.wst.sse.core 0.0.0" ولكن تعذر العثور عليه




eclipse-plugin android-2.2-froyo (20)

أقوم بتثبيت Android SDK على تثبيت جديد لـ Fedora 14 (Linux). قمت بتثبيت كسوف ، وتشغيل أداة أدوات / android sdk لتثبيت كافة مكونات Eclipse لـ SDK. تمكنت من تثبيت DDMS عند تحديده بنفسه.

وبالنسبة إلى العنصر الأخير - أدوات مطوّري برامج Android ، أتلقى رسالة الخطأ القبيحة التي تم لصقها أدناه.

الآن أنا عالقة في الجحيم التبعية الجحيم.

لقد بحثت من خلال الحزم المتوفرة في فيدورا ولا أستطيع العثور على تلك التي لديها الملفات اللازمة لتلبية هذا الاعتماد على Eclipse. هل يمكن لأي شخص أن يترجم ما يطلبه Eclipse وما هي حزمة فيدورا؟

الخطأ القبيح:

Cannot complete the install because one or more required items could not be found.
  Software being installed: Android Development Tools 0.9.9.v201009221407-60953 (com.android.ide.eclipse.adt.feature.group 0.9.9.v201009221407-60953)
  Missing requirement: Android Development Tools 0.9.9.v201009221407-60953 (com.android.ide.eclipse.adt.feature.group 0.9.9.v201009221407-60953) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found

أثناء التثبيت ، هناك خطأ في طلب org.eclipse.wst.sse.ui. كيف يمكنني إصلاح ذلك؟

يعتمد Google Plugin for Eclipse على مكونات Eclipse محددة أخرى ، مثل WST. قد لا يتضمن تثبيت Eclipse الخاص بك جميعًا ، ولكن يمكن تثبيته بسهولة باتباع هذه الإرشادات. الكسوف 3.6 (هيليوس)

حدد مساعدة> تثبيت برنامج جديد ... انقر فوق الارتباط الخاص بمواقع البرامج المتاحة. تأكد من وجود موقع تحديث يدعى Helios. إذا لم يكن هذا موجودًا ، فانقر فوق إضافة ... وأدخل http://download.eclipse.org/releases/helios . الآن انتقل من خلال خطوات التثبيت. يجب أن يقوم Eclipse بتنزيل وتثبيت تبعيات المكوّن الإضافي.

// محاولة تثبيت ملحق "بيئة تطوير البرنامج المساعد كسوف الشمس"






بالنسبة لي ، تشغيل الفوز 7 64 ، كسوف 3.7.1 64 ، كان ببساطة لتشغيل كسوف كمسؤول ، انتقل من خلال الخطوات المذكورة.


حصلت على خطأ مشابه في نظام التشغيل Windows Vista 32 بت عند استخدام حزمة Eclipse Classic 3.7.2 ، ولكنها عملت بشكل جيد بعد أن قمت بتنزيل واستخدام Eclipse IDE لمطوري Java EE .


خطوات مباشرة للحصول على المساعد ADT الخاص بك

  • تنزيل eclipse helios EE IDE وليس النسخة الكلاسيكية
  • بعد فك الضغط مباشرةً ، انتقل إلى Checks for Update من قائمة المساعدة
  • بعد الحصول على تحديث تنزيل ADT المساعد نسخة دون اتصال من موقع ADROID
  • الآن انتقل إلى مساعدة مرة أخرى -> تثبيت برنامج جديد -> إضافة -> انقر فوق في الأرشيف ثم أشر إلى تحميل ADT 17.0.0.zip ADT. إعطاء أي اسم في حقل الاسم يقول ADT. انقر فوق موافق
  • الآن من العمل مع المنسدلة حدد اسم البرنامج المساعد ADT التي قدمتموها
  • الآن المضي قدما في التثبيت. استمتع :)

في حالتي ، حصلت على الخطأ أعلاه لأنه تم تعطيل العناصر Indigo و "تحديثات Project Eclipse" في جزء "مواقع البرامج المتوفرة". كل ما كان عليّ فعله هو تبديلهم إلى الحالة الممكّنة ، وذهبت تركيبة ADT Plugin الخاصة بي كأنها نسيم (على قدر تواجد منشآت الكسوف ، على ما أظن)


في ويندوز 7

قم بتشغيل الكسوف كمسؤول

goto Windows-> التفضيلات-> Instal / update-> قم بالتحقق من "كل إصدارات البرامج المتاحة" وطبق -> ok

مساعدة> تثبيت البرامج الجديدة -> إضافة -> ضع عنوان URL إضافة أو ملف مضغوط ADT -> موافق

هذا كل شيء وعمله ....


كنت أيضاً أتصفح هذه الإجابات ، لكن لم أتمكن من الحصول على أي إجابة لمشكلتي. لكن من خلال التجربة والمحاولة ، وجدت الحل التالي. أولا وقبل كل تحديث كسوف الشمس الخاص بك عن طريق الذهاب على المساعدة -> التحقق من وجود تحديثات .ثم ، انتقل إلى تثبيت البرامج الجديدة وإعطاء موقع adt (المحلية أو رابط) ، ثم تحقق من الاتصال كل التحديث موقع أثناء التثبيت للعثور على البرنامج المطلوب ، وسوف تفعل البقية.

لست متأكدا ما إذا كان هذا الحل يعمل بشكل جيد للآخرين ، لكنه يعمل بالنسبة لي ، ونأمل أن يعمل لبعض مطوري المضطربة هناك


لا شيء من أعلاه عملت بالنسبة لي. هذا فعل:

  1. قم بإزالة الكسوف (أعتقد أن هذا نوقش أعلاه).
  2. احصل على هذا الكسوف. (الآخرون ليس لديهم جافا). هذا الكسوف لديه جافا في ذلك ، و apt-get one لا
  3. اتبع هذه الخطوات هذا الرجل مسمر. لا يجب أن يكون هذا صعبًا ، لكنه ليس بهذا السوء ...

بعد ذلك ، تمكنت من استعادة عناصري في Android عبر "تثبيت برنامج جديد" عادي ،


لقد واجهت بالضبط نفس المشكلة في Eclipse 3.6 (Helios). بعد الكثير من Googling ، صادفت هذا الرابط:

http://code.google.com/intl/es/eclipse/docs/faq.html#wstinstallerror

أثناء التثبيت ، هناك خطأ في طلب org.eclipse.wst.sse.ui. كيف يمكنني إصلاح ذلك؟

يعتمد Google Plugin for Eclipse على مكونات Eclipse محددة أخرى ، مثل WST. قد لا يتضمن تثبيت Eclipse الخاص بك جميعًا ، ولكن يمكن تثبيته بسهولة باتباع هذه الإرشادات. الكسوف 3.6 (هيليوس)

  1. اختر مساعدة> تثبيت برنامج جديد ...
  2. انقر فوق الارتباط الخاص بمواقع البرامج المتاحة.
  3. تأكد من وجود موقع تحديث يدعى Helios. إذا لم يكن هذا موجودًا ، فانقر فوق إضافة ... وأدخل http://download.eclipse.org/releases/helios .
  4. الآن انتقل من خلال خطوات التثبيت. يجب أن يقوم Eclipse بتنزيل وتثبيت تبعيات المكوّن الإضافي.

(هناك أمثلة في هذه الصفحة لـ 3.5 (Galileo) و 3.4 (Ganymede) و 3.3 (Europa) لأي شخص لديه إصدارات مختلفة)

نفس الخطوات نفسها تعمل ل 3.7 (نيلي) كذلك.

ما عليك http://download.eclipse.org/releases/indigo استخدام http://download.eclipse.org/releases/indigo للموقع.

جونو: http://download.eclipse.org/releases/juno

كبلر: http://download.eclipse.org/releases/kepler

ملاحظة: الخطوة الرابعة ليست ضرورية. الخطوات من واحد إلى ثلاثة فقط ضرورية.


لقد وجدت أن إزالة ~/.eclipse حل هذه المسألة بالنسبة لي على الأسهم أوبونتو الكسوف


لم يعمل أي من الإجابات الحالية بالنسبة لي. وجود جميع مواقع التحديث الصحيحة في "المواقع المتاحة" لم يكن كافيا لإخبار Eclipse كيفية العثور على اعتمادياتها.

باستخدام Fedora 14 و Eclipse Indigo 3.7.1 ، اضطررت إلى اتباع هذه الخطوات لجعل عملية التثبيت:

  1. تحقق من "أدوات Linux" وقم بتثبيتها من http://download.eclipse.org/releases/indigo
  2. تحقق من "أدوات Linux" وقم بتثبيتها من http://download.eclipse.org/releases/indigo/201109230900

بعد إعادة تشغيل Eclipse ، تمكنت من تثبيت Android SDK نهائيًا.


ما فعلته (هيليوس):

1) انتقل إلى مساعدة -> تثبيت برنامج جديد ...

2) حدد أو أضف موقعًا جديدًا http://download.eclipse.org/webtools/repository/helios/

3) تحقق من WTP أحدث خانة اختيار ، ثم اضغط على التالي

4) على الأرجح ستحصل على حالة "dependecies إضافية مطلوبة" ، ولكن هذه الشاشة الجديدة ستعرض عليك أي حزم تحتوي على wst بأسمائها ، يجب أن تشرع مع تثبيت هذه الحزم * wst *

5) لم تحصل على الأشياء الرابعة. في هذه الحالة ، يتعين عليك تثبيت حزم wst.

استمتع. أم لا... :)


ولإصدار جونو:

عليك فقط إضافته - وليس لتثبيت أي شيء.


http://code.google.com/intl/es/eclipse/docs/faq.html#wstinstallerror . تأكد من استخدام الإصدار الصحيح من Eclipse ، وقد تضطر إلى تشغيل Eclipse كجذر عند التثبيت.

المشكلة هي أن إصدارات Eclipse التي تأتي مع توزيعات Linux عادة ما تكون عامة جدًا في تكوينها. من غير المحتمل أنك ستجد الحزمة الصحيحة من خلال مدير الحزم الخاص بك ، فأنت تريد استخدام آلية Eclipse.


تحديث لفيدورا 16

لاحظ أن هذا يتم توفيره الآن بواسطة حزمة ، لذلك يكون "الشيء الواجب" الموصى به

  pkcon install eclipse-wtp-sourceediting

يبدو أن هذه "لقطة سحرية" ذات شوط واحد للحصول على كل ما يتطلبه المكون الإضافي ADK لـ Android على Fedora 16 (على الأقل).


مطور Android لأولئك الذين يستخدمون eclipse 3.7

أضف التالي بعد http: // prompt download.eclipse.org/releases/indigo

ثم انقر فوق القائمة "مساعدة" وانقر فوق "التحقق من وجود تحديثات





android-2.2-froyo